Summary:	Nagios remote plugin execution service/plugin
Summary(pl.UTF-8):	Demon i wtyczka zdalnego wywoływania wtyczek Nagios
Name:		nagios-nrpe
Version:	2.15
Release:	1
License:	GPL v2
Group:		Networking
Source0:	http://downloads.sourceforge.net/nagios/nrpe-%{version}.tar.gz
# Source0-md5:	3921ddc598312983f604541784b35a50
Source1:	nrpe.init
Source2:	nrpe-command.cfg
Source3:	%{name}.tmpfiles
Patch0:		%{name}-config.patch
Patch1:		nrpe_check_control.patch
URL:		http://www.nagios.org/
BuildRequires:	openssl-devel
BuildRequires:	openssl-tools
BuildRequires:	rpmbuild(macros) >= 1.647
Requires(post,preun):	/sbin/chkconfig
Requires:	nagios-common
Requires:	rc-scripts
Provides:	nagios-core
Obsoletes:	netsaint-nrpe
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios
%define		_datadir	%{_prefix}/share/%{name}
%define		_plugindir	%{_libdir}/nagios/plugins
%define		_libexecdir	%{_plugindir}
%define		_localstatedir	%{_var}/log/nagios
%define		nsport		5666

%description
NPRE (Nagios Remote Plugin Executor) is a system daemon that will
execute various Nagios plugins locally on behalf of a remote
(monitoring) host that uses the check_nrpe plugin.

%description -l pl.UTF-8
NRPE to dodatek do Nagiosa pozwalający na wywoływanie "lokalnych"
wtyczek (takich jak check_disk, check_procs itp.) na zdalnych
maszynach. Wtyczka check_nrpe jest wywoływana z poziomu Nagiosa i
wysyła żądania uruchomienia wtyczek do demona NRPE działającego na
zdalnej maszynie (jako samodzielny demon lub usługa inetd). Obsługuje
przekazywanie argumentów poleceń do serwera, a także natywne
szyfrowanie SSL/TLS (w trybie anonimowego DH).

%package -n nagios-plugin-check_nrpe
Summary:	check_nrpe plugin for Nagios
Summary(pl.UTF-8):	Wtyczka check_nrpe dla Nagiosa
Group:		Networking
Requires:	nagios-common
Provides:	%{name}-plugin = %{version}-%{release}
Obsoletes:	nagios-nrpe-plugin < 2.12-6

%description -n nagios-plugin-check_nrpe
The check_nrpe plugin is called from Nagios and makes plugin execution
requests to the NRPE daemon running on the remote host. Supports
passing command arguments to server, as well as native SSL/TLS
encryption (anonymous DH mode).

%description -n nagios-plugin-check_nrpe -l pl.UTF-8
Wtyczka check_nrpe dla Nagiosa. Pozwala na zdalne uruchamianie wtyczek
na innych komputerach za pomocą demona nrpe.

%prep
%setup -q -n nrpe-%{version}
%undos contrib/nrpe_check_control.c
%patch0 -p1
%patch1 -p1

%build
%configure \
	--with-nrpe-port=%{nsport} \
	--with-nrpe-user=nagios \
	--with-nrpe-group=nagios \
	--enable-ssl \
	--enable-command-args

%{__make} all

%{__cc} %{rpmcppflags} %{rpmcflags} %{rpmldflags} contrib/nrpe_check_control.c -o contrib/nrpe_check_control

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir}/{plugins,nrpe.d},%{_libdir}/nagios/plugins,%{_sbindir}} \
	$RPM_BUILD_ROOT{%{_localstatedir},/var/run/nrpe} \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

cp -p sample-config/nrpe.cfg $RPM_BUILD_ROOT%{_sysconfdir}/nrpe.cfg
sed -e 's,@plugindir@,%{_plugindir},' %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/plugins/check_nrpe.cfg
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nrpe
install -p src/nrpe $RPM_BUILD_ROOT%{_sbindir}
install -p src/check_nrpe $RPM_BUILD_ROOT%{_plugindir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nrpe
%service nrpe restart

%preun
if [ "$1" = "0" ] ; then
	%service nrpe stop
	/sbin/chkconfig --del nrpe
fi

%triggerpostun -- %{name} < 2.6-1.1
%{__sed} -i -e 's,/var/run/nrpe.pid,/var/run/nrpe/nrpe.pid,' %{_sysconfdir}/nrpe.cfg

%triggerpostun -n nagios-plugin-check_nrpe -- nagios-plugin-check_nrpe < 2.12-7.1
if [ -f %{_sysconfdir}/plugins/nrpe.cfg.rpmsave ]; then
	cp -f %{_sysconfdir}/plugins/check_nrpe.cfg{,.rpmnew}
	mv -f %{_sysconfdir}/plugins/{nrpe.cfg.rpmsave,check_nrpe.cfg}
	sed -i -e 's,-c \$ARG1\$,$ARG1$,' %{_sysconfdir}/plugins/check_nrpe.cfg
fi

%files
%defattr(644,root,root,755)
%doc Changelog LEGAL README* SECURITY
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nrpe.cfg
%attr(750,root,nagios) %dir %{_sysconfdir}/nrpe.d
%attr(755,root,root) %{_sbindir}/nrpe
%attr(754,root,root) /etc/rc.d/init.d/nrpe
%dir %attr(775,root,nagios) /var/run/nrpe
%{systemdtmpfilesdir}/%{name}.conf

%files -n nagios-plugin-check_nrpe
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/plugins/check_nrpe.cfg
%attr(755,root,root) %{_plugindir}/check_nrpe
%changelog
* Wed Oct 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-nrpe.git;a=log;h=master

* Wed Oct 02 2013 Elan Ruusamäe <glen@delfi.ee> 989908b
- 2.15 (2013-09-06); ipv6 support

* Tue Mar 05 2013 Elan Ruusamäe <glen@delfi.ee> 475d9ad
- update descs

* Tue Mar 05 2013 Elan Ruusamäe <glen@delfi.ee> 811a204
- autoconf broken [1], and regen not needed, so disable

* Tue Mar 05 2013 Elan Ruusamäe <glen@delfi.ee> 65eed89
- up to 2.14 (12/21/2012)

* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 5c427da
- release 3 (by relup.sh)

* Tue Jul 03 2012 Elan Ruusamäe <glen@pld-linux.org> cf7389c
- add service to check nrpe service itself (no command)

* Tue Jul 03 2012 Elan Ruusamäe <glen@pld-linux.org> 2248b30
- INCOMPAT CHANGE: remove -c from default argument; rel 3

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 8cad7fc
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> bdffdf0
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> f228d1b
- add systemd tmpfiles config

* Wed Jan 04 2012 Elan Ruusamäe <glen@pld-linux.org> a572586
- build contrib/nrpe_check_control.c, however it seems to parse nagios 1.x config only

* Wed Jan 04 2012 Elan Ruusamäe <glen@pld-linux.org> 56070b3
- up to 2.13, add /etc/nagios/nrpe.d for nrpe config fragments

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 671a4b4
- release 15

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> af19e25
- release 14

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> 4fac59a
- release 13

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> f4d9de4
- require nagios-common instead of core; rel 12

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> 63076b1
- release 11

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> 50a1acd
- improved initscript; rel 10

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> 1d16747
- add try-restart, LSB 3.1 conformance

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> 587f81e
- use full path in daemon for daemon process

